Subject: Re: Re: [OSPF] Re:Generating type5 LSA in ospfv3

From: "badvel vishnu reddy" <[email-masked]>
Date: 1 May 2006 17:57:23 -0000

Hi Acee,
Thanks for the inputs. Still i am wondering what should be done in the following cases should i purge one of the Lsa's?

1) Two nssa ABR's generating the default routes

2) One nssa ABR and one internal routers generating the defualt 
lsa

Thanks&Regards
Vishnu

On Thu, 27 Apr 2006 Acee Lindem wrote :
>badvel vishnu reddy wrote:
>
>>  Hi All,
>>In OSPFV3 since the link state ID's of an external LSA's can be anything if i use the address prefix with an algorithm that generates the number, there is always a possibility that there exists the same network but with different prefix length, so in this regard OSPV2 escapes by using  rfc 2328 sec E. An algorithm for assigning Link State IDs.
>>In the context of OSPFV3 what should be done since RFC 2740 doesn't specify anything.
>>  
>Nothing - Refer to section 2.2 in RFC 2740. In OSPFv3, the Link State ID has no
>addressing semantics. For inter-area prefix LSAs, inter-area-router-LSAs,
>external LSAs, and NSSA LSAs, the Link State ID is simply a number which
>must be unique for LSAs of the same type originated within the same
>flooding scope by the same advertising router.
>
>Hope this helps,
>Acee
>
>>Regards,
>>Vishnu
>>  
>>------------------------------------------------------------------------
>>
>>_______________________________________________
>>OSPF mailing list
>>[email-masked]
>>https://www1.ietf.org/mailman/listinfo/ospf
>>  
_______________________________________________
OSPF mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf

---

From: Acee Lindem <[email-masked]>
Date: Mon, 01 May 2006 14:41:46 -0400

>2) One nssa ABR and one internal routers generating the defualt 
Vishnu,
Wasn't this a different thread :^) The default LSAs from the ABRs will not
have a forwarding address specified so they will never be redundant (as 
specified
in  12.4.4.1).

Note that RFC 3101 says that an ABR may install a default route 
corresponding
to an NSSA LSA with the P-bit set. I think that in this situation, the 
ABR must inhibit
or flush the any NSSA default it is injecting into the NSSA area. 
However, it
doesn't appear RFC 3101 handles this case (Pat can correct me if I'm 
wrong).

Thanks,
Acee